.custom-button {
  padding: var(--card-text-padding-vertical, 0.625rem)
    var(--card-text-padding-horizontal, 0.9375rem);
  border-radius: var(--card-corner-radius, 1.25rem);
  display: flex;
  align-items: center;
  justify-content: space-between;
  align-self: stretch;
  color: inherit;
  background: inherit;
  margin: var(--button-margin, 0);
  pointer-events: auto;
  height: 2.5rem;
  min-width: 0;

  &:has(> div + span) {
    padding: var(--spacing-small) var(--spacing-minor-min) var(--spacing-small)
      var(--spacing-minor);
  }

  &:has(> span + div) {
    padding: var(--spacing-small) var(--spacing-minor) var(--spacing-small)
      var(--spacing-minor-min);
  }

  &:has(> div > span + span) {
    padding: var(--spacing-small) var(--spacing-minor-min) var(--spacing-small)
      var(--spacing-minor-min);
  }

  &.no-padding {
    padding: 0;
  }

  &.full-width {
    width: var(--button-width, 100%);
  }

  &:not(.full-width) {
    width: auto;

    .iconEnd {
      padding-left: 3px;
    }
  }
}

.custom-button-text {
  font-size: var(--text-size-body);
  color: inherit;
  text-transform: none;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-weight: 600;
  min-width: 0;
}

.iconStart {
  padding-right: var(--spacing-small);
  color: inherit;
}

.iconEnd,
.iconStart {
  flex-shrink: 0;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  text-align: center;
  font-size: 1.25rem;
}

.start-button {
  display: flex;
  align-items: center;
  flex: 1;
  min-width: 0; /* Allow contents to shrink */
}

.button-strong {
  background: var(--Maximum-Background, #000);
  color: var(--Main-Foreground);
}

.button-hint {
  background: var(--Hint-Foreground, rgba(0, 0, 0, 0.05));
  color: var(--Main-Foreground);
}

.button-hint-secondary {
  background: var(--Hint-Background, #b3e8ff);
  color: var(--Hint-Background-2, #1e4f5a);
}

.button-outlined {
  background: var(--Elevated-Background-On-Color, #3d4e4b);
  color: var(--Main-Foreground);
}

.button-transparent {
  background: transparent;
  color: var(--Main-Foreground);
}

.button-info {
  background: var(--color-hint);
  color: var(--Main-Foreground);
}

.button-highlight {
  background: var(--Color-Button-Highlight-Normal);
  color: #ffffff;
}

.button-accent-red {
  background: var(--color-accent-red);
  color: #ffffff;
}

.button-hint-border {
  border: 2px solid var(--Hint-Foreground, rgba(0, 0, 0, 0.05));
}

.button-transparent-border {
  border: none;
}

.icon-color-default {
  color: inherit;
}

.icon-color-red {
  color: var(--color-accent-red);
}

.icon-color-orange {
  color: var(--color-accent-orange);
}

.icon-color-green {
  color: var(--color-accent-green);
}

.icon-color-main {
  color: var(--Main-Foreground);
}
